Description
*** 3,1.0.5 *** 16 JAN 2017

__ fsw Changeset: 326 (2ael02038069)

logiscope outputs taken into account
Correction of #703 #747 #864 #865
#649 TC of length > 228 are dropped by the driver

History

#1 - 16/01/2017 02:29 PM - Veronique bouzid
- Assignee changed from bruno katra to paul leroy

- Priority changed from Normal to High

Installation du software le 16/01/2017
dans /opt/LFR/LFR-FSW/3.1.0.5
Adaptation des scripts pour utiliser cette version.

Voici donc le nouvel environnement de test

FSW 3.1.0.5

VHDL 3.1.91

PFM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.7.0, Branch = 0.6, Changeset = c459540a6dbd+
StarDundee

--> Le soft ne boote pas

Le test a été effectué également sur l'autre banc de test qui pilote EM, le diagnostic est le méme .
Alexis confirme ....

#2 - 16/01/2017 03:38 PM - Alexis Jeandet

Voici le log:

(0) CCR - Cache Control Register = 0

(0) ASR16
=0
in faultTolerantScheme *** Leon3FT not detected
***x yendorID = 0x1, deviceId = 0x3

(1) CCR - Cache Control Register = 1000f
(1) ASR16 Register protection control register = 0

Khkkhkhkhkhkkhhkhkhkhkhkhhkhkkhkhkkx kK

** LFR Flight Software **

** 3-1-0-5 *%
* * VHDL * *
*% 1-1-91 *%

kAhkhkkhkhkhkkhkhkkhkhkkhkhkhkhkhkkhkhkhhkkkkkx*k
lastValidEnterModeTime = Oxffffffff

in create_timer_timecode *** OK creating SPTC timer
in suspend_science_tasks
Je confirme que ¢a boot sur mini-LFR avec le bitstream 1.91 mais pas sur EM ou FM.

#3 - 16/01/2017 04:15 PM - paul leroy
- File fsw-3-1-0-5_without_memset added

- Assignee changed from paul leroy to Alexis Jeandet

#4 - 16/01/2017 04:22 PM - Alexis Jeandet

- Assignee changed from Alexis Jeandet to paul leroy

Je confirme que sans les memset ¢a boot sur toutes les cartes.

#5 - 17/01/2017 08:43 AM - paul leroy
- File fsw-3-1-0-5_with_extra_alignment added

#6 - 17/01/2017 08:54 AM - paul leroy
- File deleted (fsw-3-1-0-5_with_extra_alignment)

#7 - 17/01/2017 09:58 AM - paul leroy
- File fsw-3-1-0-5-Rev331 added

#8 - 17/01/2017 10:33 AM - Alexis Jeandet

La derniére révision(331) semble Ok sur I'EM, elle démarre et passe en SBM1.

#9 - 17/01/2017 10:40 AM - paul leroy

Parfait, merci.
Je vais vous faire une révision 3.1.0.6 avec ces modifications et le coefficient 2 pour la cal.

#10 - 17/01/2017 10:46 AM - bruno katra

Ok merci Paul et Alexis. Juste quelques questions/remarques :
- les problémes sont-ils liés aux corrections "Logiscope" ?
- Concernant le signal de cal : il faut que I'on remonte ¢a a Plasson car c'est un req SSS qui doit étre modifié donc SRS et SVS aussi.

#11 - 17/01/2017 11:55 AM - paul leroy
- File fsw-3-1-0-6-Rev333 added

- Assignee changed from paul leroy to Veronique bouzid

Version 3.1.0.6 en développement avec correction du bug sur les kcoeff (j'avais un petit script perso pour tester, ¢ca ne fait plus planter).
Si ¢a marche, je vous fais une livraison propre de la 3.1.0.6.

#12 - 17/01/2017 12:04 PM - bruno katra

Ces reminescences de bugs sont-elles induites par les nombreuses modifs Logiscope ?

#13 - 17/01/2017 01:21 PM - paul leroy

Disons que la prise en compte de certaines exigences logiscope, notamment sur l'initialisation des variables, a révélé des choses étranges, que j'ai
da corriger. Par exemple l'instruction suivante, pour récupérer une valeur de fréquence de kcoeff plante tout le soft si le pointeur n'a pas une valeur
alignée

fregPtr = (unsigned short *) &TC->dataAndCRC[DATAFIELD_POS_SY_LFR_KCOEFF_FREQUENCY];
sy_lfr_kcoeff_ frequency = *freqgPtr;

J'ai d0 remplacer par
// copy the value of the frequency byte by byte DO NOT USE A SHORT* POINTER
copyIntl6ByChar ( (unsigned char*) &sy_lfr_kcoeff_ frequency, &TC->dataAndCRC][

DATAFIELD_POS_SY_ LFR_KCOEFF_FREQUENCY] );

C'est une des raisons pour lesquelles je préférais prendre en compte les sorties logiscope dés la révision intermédiaire, pour voir les effets
collatéraux.

#14 - 17/01/2017 01:23 PM - Veronique bouzid

- Status changed from New to Resolved
- Assignee changed from Veronique bouzid to paul leroy

Hello
Tu as le feu vert pour nous livrer une 3.1.0.6.
En effet

--> le script de test de I'envoi de la tc_lfr_kcoefficients fonctionne parfaitement
les fichiers (2017_01_17-12_57_08") sont stockés dans le répertoire data/R3+/3.1.0.6/3.1.91/TESTS-UNITAIRES/send_one_tc_load_kcoeff

--> le script SVS-0003/loop_tm_lfr_tc_exe.py a été joué entierement. Je viens de dépouiller rapidement, cela semble etre bon.
Les fichiers (2017_01_17-12_59_49*) sont rangés dans le répertoire data/R3+/3.1.0.6/3.1.91/SVS-0003.

--> le script SVS-0003/send_bad_tc.py a été joué, pour moi, il ne fonctionne pas car aucune réponse n est envoyée. Je documente ce point

dans le point redmine dédié #649.

check.pngLe comportement actuel du driver est que la TC ne rentre méme pas dans le soft si elle fait une taille strictement supérieure a 228 (au

sens de Length du tableau "LFR TC Packet summary" de I'lCD). Pour une TC infénieure ou égale a 228, on parse la télécommande.

#15 - 17/01/2017 01:25 PM - paul leroy
- Status changed from Resolved to New

- Assignee changed from paul leroy to Veronique bouzid

#16 - 18/01/2017 12:13 PM - bruno katra

- Status changed from New to Closed

Cloturé : version buggée

Files

README 20.3 KB 16/01/2017 paul leroy

fsw-3-1-0-5 4.06 MB 16/01/2017 paul leroy

fsw-3-1-0-5_without_memset 4.06 MB 16/01/2017 paul leroy

fsw-3-1-0-5-Rev331 4.06 MB 17/01/2017 paul leroy

fsw-3-1-0-6-Rev333 4.03 MB 17/01/2017 paul leroy
